osgAnimation::TemplateInterpolatorBase< TYPE, KEY > Class Template Reference

`#include <Interpolator>`

Inheritance diagram for osgAnimation::TemplateInterpolatorBase< TYPE, KEY >:

## Public Types

typedef KEY | KeyframeType
typedef TYPE | UsingType

## Public Member Functions

| TemplateInterpolatorBase ()
int | getKeyIndexFromTime (const TemplateKeyframeContainer< KEY > &keys, double time) const

## Member Typedef Documentation

## KeyframeType

template<class TYPE, class KEY>

typedef KEY osgAnimation::TemplateInterpolatorBase< TYPE, KEY >::KeyframeType

## UsingType

template<class TYPE, class KEY>

typedef TYPE osgAnimation::TemplateInterpolatorBase< TYPE, KEY >::UsingType

## Constructor & Destructor Documentation

## TemplateInterpolatorBase()

template<class TYPE, class KEY>

osgAnimation::TemplateInterpolatorBase< TYPE, KEY >::TemplateInterpolatorBase | ( |  | ) |

inline

## Member Function Documentation

## getKeyIndexFromTime()

template<class TYPE, class KEY>

int osgAnimation::TemplateInterpolatorBase< TYPE, KEY >::getKeyIndexFromTime | ( | const TemplateKeyframeContainer< KEY > & | keys,
|  | double | time ) const

inline

References osg::MixinVector< ValueT >::front(), osgAnimation::Keyframe::getTime(), osg::notify(), osgAnimation::TemplateKeyframeContainer< T >::size(), and osg::WARN.

Referenced by osgAnimation::TemplateLinearPackedInterpolator< TYPE, KEY >::getValue().

The documentation for this class was generated from the following file:

- osgAnimation/Interpolator